<?php
session_start();
require ('control-session.php');
require ('bd_conn.php');
$title = 'Ajouter ma photo';
$id_membre = $_GET['id_membre'];
/* La fonction qui fait des miniatures carrées
 * Permet de créer une miniature carrée d'une image de forme quelconque.     
 * $src     désigne le nom de l'image source                
 * $dest     désigne le nom de l'image redimensionnée                
 * $largeur     désigne la largeur du carré de la miniature            
 * $pos     peut prendre les valeurs suivante :                 
 * "left", "right" (si la photo est horizontale)
 * "bottom","top" (si la photo est verticale) 
 * ou n'importe quelle autre valeur pour le milieu.
*/  
function images_resize_carre($src, $dest, $largeur, $pos){
  list($srcX, $srcY, $type, $attr) = getimagesize($src);
  $imgSrc=imagecreatefromjpeg($src); 
  if (empty($imgSrc)){ 
	  return false; 
  }
  if($srcX>= $srcY){
	  $dim=$srcY;
	  $horizontale=true;
  }
  elseif($srcX<= $srcY){
	  $dim=$srcX; 
	  $verticale=true;
  }
  else{
	  $dim=$srcX;
  }   
  //on determine le point de depart x,y
  if($horizontale)
  {
   switch($pos){
	case "left":
	  $point_x_ref="0";
	  $point_y_ref="0";
	break;
	case "right":
	  $point_x_ref=($srcX)-($dim);
	  $point_y_ref="0";
	break;
	default: 
	  $point_x_ref=($srcX/2)-($dim/2);
	  $point_y_ref="0";
	break;
	}
  }
  elseif($verticale)
  {
   switch($pos){
	case "top":
	  $point_x_ref="0";
	  $point_y_ref="0";
	break;
	case "bottom":
	  $point_x_ref="0";
	  $point_y_ref=($srcY)-($dim);
	break;
	default: 
	  $point_x_ref="0";
	  $point_y_ref=($srcY/2)-($dim/2); 
	break;
   }
  }
  $imDest=@imagecreatetruecolor($largeur, $largeur); 
		  
  imagecopyresampled($imDest, $imgSrc, 0, 0, $point_x_ref, $point_y_ref, 
  $largeur , $largeur, $dim, $dim); 
  imagedestroy($imgSrc); 
  imagejpeg($imDest, $dest, 100); 
  imagedestroy($imDest); 
  return true;
}
$extensions_valides = array( 'jpg' , 'jpeg' );

//si on a une image choisie
if(isset($_FILES['photo'])){
  if($_FILES['photo']['error']) $erreur = '<p class="erreur">Erreur lors du transfert</p>';
  if($_FILES['photo']['size'] > 1024000) $erreur .= '<p class="erreur">L\'image est trop lourde. Maximum 1 Mo</p>';
  
  elseif($_FILES['photo']['error'] == 0) {
	
	$extension = strtolower(substr(strrchr($_FILES['photo']['name'], '.')  ,1)  );
	if ( !in_array($extension,$extensions_valides) ) $erreur = '<p class="erreur">L\'extension choisie pour l\'image est incorrecte</p>';
	
	else{
	$src = $_FILES['photo']['tmp_name'];
	$dest = "photos/perso$id_membre.jpg";
	//redimensionnement pour photo perso en carré
	images_resize_carre($src,$dest,122,"");
	}                             
  }
if(empty($erreur)) header("Location:profil.php?id_membre=$id_membre");
}


include('haut.php');
if(!empty($erreur)) echo $erreur; ?>

<div class="top"><p><?php echo $title ?></p></div>
<div class="inner">

<p class="info">Choisissez une photo au format .jpg ou .jpeg de maximum 1 Mo. La photo sera redimensionnée en 125 x 125.</p>
	<form method="post" enctype="multipart/form-data" action="">
		<label for="photo">Photo</label>
		
		<input type="file" name="photo" id="photo" />
		
		<p><span class="floatright"><input class="button" type="submit" name="submit" value="Envoyer" /></span>
		<input type="reset" class="button" value="Annuler" onclick="javascript:history.go(-1);" /></p>
	</form>

</div>

<?php include('bas.php'); ?>
