<?php
function write_php_ini($array, $file)
{
    $res = array();
    foreach($array as $key => $val)
    {
        if(is_array($val))
        {
            $res[] = "[$key]";
            foreach($val as $skey => $sval) $res[] = "$skey = ".(is_numeric($sval) ? $sval : '"'.$sval.'"');
        }
        else $res[] = "$key = ".(is_numeric($val) ? $val : '"'.$val.'"');
    }
    safefilerewrite($file, implode("\r\n", $res));
}
//////
function safefilerewrite($fileName, $dataToSave)
{    if ($fp = fopen($fileName, 'w'))
    {
        $startTime = microtime();
        do
        {            $canWrite = flock($fp, LOCK_EX);
           // If lock not obtained sleep for 0 - 100 milliseconds, to avoid collision and CPU load
           if(!$canWrite) usleep(round(rand(0, 100)*1000));
        } while ((!$canWrite)and((microtime()-$startTime) < 1000));

        //file was locked so now we can store information
        if ($canWrite)
        {            fwrite($fp, $dataToSave);
            flock($fp, LOCK_UN);
        }
        fclose($fp);
    }

}
if(isset($_POST['submit'])) {
	$oldini = parse_ini_file("config/config.ini");
	$cfg = array_merge($oldini,$_POST);
	write_php_ini($cfg, 'config/config.ini');
	}
	
$_POST = array();

?>

<div class="top"><p><?php echo $title;?></p></div>
<div class="inner">

<form method="post" action="">
  <!--<p>Entrez les détails de votre SEL</p>-->
  <table>
    <tr>
      <td><label for="nomdusel">Nom du SEL</label></td>
      <td><input name="nomdusel" id="nomdusel" type="text" size="25" value="<?php echo $cfg['nomdusel']?>" /></td>
      <td class="form-table">Le nom de votre SEL ou Association, apparait dans l'entête des pages et comme expéditeur des messages automatiques</td>
    </tr>
    <tr>
      <td><label for="community">Lieu</label></td>
      <td><input name="community" id="community" type="text" size="25" value="<?php echo $cfg['community']?>" /></td>
      <td class="form-table">Sous-titre, exemple "Le SEL de Beauvechain"</td>
    </tr>
    <tr>
      <td><label for="monnaie">Monnaie locale</label></td>
      <td><input name="monnaie" id="monnaie" type="text" size="25" value="<?php echo $cfg['monnaie']?>" /></td>
      <td class="form-table">Nom de votre monnaie locale au pluriel, exemple "blés"</td>
    </tr>
	<tr>
      <td><label for="equivalence">Equivalence</label></td>
      <td><input name="equivalence" id="equivalence" type="text" size="25" value="<?php echo $cfg['equivalence']?>" /></td>
      <td class="form-table">Equivalence de votre monnaie par rapport à l'unité de temps, exemple "1h = 60 blés"</td>
    </tr>
    <tr>
      <td><label for="email">Email</label></td>
      <td><input name="email" id="email" type="text" size="25" value="<?php echo $cfg['email']?>" /></td>
      <td class="form-table">Adresse email liée au site qui envoie les messages automatiques et newsletters, adresse de contact du site</td>
    </tr>
	<tr>
      <td><label for="bcc">Email Bcc</label></td>
      <td><input name="bcc" id="bcc" type="text" size="25" value="<?php echo $cfg['bcc']?>" /></td>
      <td class="form-table">Adresse email à laquelle sont envoyés les messages en copie invisible</td>
    </tr>
    <tr>
      <td><label for="site">Adresse du site public</label></td>
      <td><input name="site" id="site" type="text" value="<?php echo $cfg['site']?>" size="25" /></td>
      <td class="form-table">URL complète de votre site, exemple http://NotreSel.org/répertoire</td>
    </tr>
	<tr>
      <td><label for="siteroot">Adresse du site gestech</label></td>
      <td><input name="siteroot" id="siteroot" type="text" value="<?php echo $cfg['siteroot']?>" size="25" /></td>
      <td class="form-table">URL de la <strong>racine</strong> du site où est <em>installé</em> le gestech, exemple http://AutreNom.org ou http://NotreSel.org s'il s'agit du même serveur.</td>
    </tr>
  </table>
  <br />
  <p><span class="floatright"><input name="submit" type="submit" value="Enregistrer" class="button" /></span>
  <input type="reset" class="button" value="Annuler" onclick="javascript:history.go(-1);"/></p>
</form>
</div>
<div id="retour">
	<input type="button" class="button" value="Retour" onclick="window.location.href='param.php';"/>
</div>
