<?php
session_start();
require ('control-session.php');
require ('bd_conn.php');
require ('fonctions.php');
$title = 'Les offres';

//version avec fonction offres_click; appel #cat_content_X; style class="offres_cat_content" display:none si on ne veut pas tout afficher à l'ouverture
// requete SQL, liste les offres et leur ajoute les infos du membre, la catégorie et la rubrique
$sql = "SELECT *, r.nom as rub_nom, c.nom as cat_nom, m.prenom, m.commune, m.email 
FROM gs_services_offres as a, gs_rub_services as r, gs_cat_services as c, gs_membres as m
WHERE m.actif = 1 AND m.id_membre = a.id_membre AND r.id_rub = a.id_rub AND c.id_cat = a.id_cat AND a.actif = 1 
ORDER BY c.id_cat, r.id_rub, a.date DESC" ;
$result = mysqli_query($con,$sql) or die(mysqli_error($con));
$num_result = mysqli_num_rows($result) ;

//on compte le nb d'offres par cat
$sql = "SELECT a.id_cat, COUNT(*) as count FROM gs_services_offres as a , gs_membres as m 
WHERE m.actif = 1 AND m.id_membre = a.id_membre AND a.actif = 1 GROUP BY id_cat" ;
$result2 = mysqli_query($con,$sql) or die(mysqli_error($con));
$compte = array() ;
while ($row = mysqli_fetch_array($result2)) {
  $id = $row['id_cat'] ;
  $compte[$id] = $row['count'] ;
}

include('haut.php'); 
?>

<a name="top"></a>

	<div class="top"><p>Les offres permanentes<span class="floatright"><?php echo $num_result ; ?> offres</span></p></div>
	<div class="inner">
	<div class="floatright right">
		<p><a href="offres-print.php" target="_blank">Liste imprimable de toutes les offres <img src="img/print.gif"></a></p>
		<!--<p><a href="chercher-annonce.php">Chercher par catégories / rubriques</a></p>-->
		<p><form action="resultat-recherche-mot.php"  method="get">
			<input type="text" name="recherche" /><input type="submit" class="button" value="Chercher" />	
		</form></p>
	</div>
	<h3>Ajouter une nouvelle offre permanente <a href="offre-ajout.php"> 
	<img src="img/add.png" title="Ajouter une offre" /></a></h3>
	<p>Catalogue des offres permanentes de services ou de prêts d'objets</p>
	<div class="offres_cat">
	<?php
  // ces deux variables permetent de comparer dans la boucle la catégorie/rubrique actuelle et précédente 
  // si elle est différente on crée un nouveau objet dans la liste.
  $tRub = "" ;
  $tCat = "" ;
  while( $row = mysqli_fetch_array($result) ) {
    if ($tCat != $row['cat_nom']) {
      $tCat = $row['cat_nom'] ;
      $id_cat = $row['id_cat'] ;
      // affichage des catégories
      echo '<a href="#cat_content_' . $row['id_cat'].'" onclick=" offres_click(' . $row['id_cat'] . ')">
      ' . $tCat . ' (' . $compte[$id_cat] . ')</a><br />
      ' ;
    }
  }?>
	</div>
	<!--<hr style="margin-bottom:5px" />-->
	
  <div style="margin-top:10px">
  <?php
  // mise du pointeur au début du résultat pour un deuxième passage
  mysqli_data_seek($result, 0) ;
  while( $row = mysqli_fetch_array($result) ) {
    $timestamp = $row['date'];
	// création d'un div contenant par catégorie
    if ($tCat != $row['cat_nom']) {
      $tCat = $row['cat_nom'] ;
      $id_cat = $row['id_cat'] ;
	  $tRub = "" ;
      echo '</div>
      <div class="offres_cat_content" id="cat_content_' . $row['id_cat'] . '"> 
      <p class="titre_cat">' . $tCat . '</p>' ;
    }
    // affichage des rubriques
    if ($tRub != $row['rub_nom']) {
      $tRub = $row['rub_nom'] ;
      echo '<p class="titre_rub">&#149; '.$tRub.'</p>';
    }
	//si il y a une photo
	$f = 'photos/servoff'.$row['id_annonce'].'.jpg';
	if(file_exists($f)) $img = '<p class="photo"><img src="'.$f.'" alt="img'.$row['id_annonce'].'" title="" longdesc="'.$f.'" /></p>';
	else $img = '';
	$titre = strip_tags($row['titre']);
	if($row['email'] == '-' or $row['email'] == NULL or $row['email'] == '') $email = '';
	else $email = '<a href="mailto:'.$row['email'].'?subject='.$cfg['nomdusel'].' Annonce : '.$titre.'" title="Contacter l\'auteur de cette annonce"><img style="vertical-align: text-top" src="img/email.gif" alt="email" /></a>';
    // affichage des annonces
    echo '<div class="offre">' .$img. '
    <p class="titre-annonce" id="id_'.$row['id_annonce'].'">'.$titre. '</p>
    <p class="text-annonce">' . nl2br(strip_tags($row['description'],'<a><b><i>')) . '</p>
    <p class="small">'.date("d-m-Y", strtotime("$timestamp")).' | 
	<a href="profil.php?id_membre=' . $row['id_membre'] . '" title="Voir le profil">' . $row['id_membre'] . '-' . $row['prenom'] . '</a>
     (' . $row['commune'] . ') '.$email.'</p></div>
    ' ;
  }
  
   ?>
  
    </div>
  </div>
	
	
	<div id="retour">
		<!--<a class="button" href="javascript:history.go(-1);">Retour</a>-->
		<p class="right"><input type="button" class="button" value="Haut" onclick="scrollTo(0,0)" /></p>
	</div>
<script type="text/javascript">

function offres_click(id) {
  $('.offres_cat_content:visible').slideToggle('') ;
  $('#cat_content_'+id).slideToggle('') ;
}

</script>
<?php include('bas.php'); ?>

