function afficherAdresse(address) { 
	// Une variable pour contenir notre future marker
	var myMarker = null;
 
	// Des coordonnées de départ
	var myLatlng = new google.maps.LatLng(50.7167, 4.3833);
 
	// Les options de notre carte
	var myOptions = {
		zoom: 15,
		center: myLatlng,
		mapTypeId: google.maps.MapTypeId.ROADMAP
	};
 
	// On créé la carte
	var myMap = new google.maps.Map(
		document.getElementById('map'),
		myOptions
	);
 
	// L'adresse que nous allons rechercher
	var GeocoderOptions = {
	    'address' : address,
	    'region' : 'BE'
	}
 
	// Notre fonction qui traitera le resultat
	function GeocodingResult( results , status )
	{
	  // Si la recher à fonctionné
	  if( status == google.maps.GeocoderStatus.OK ) {
 
	    // S'il existait déjà un marker sur la map,
	    // on l'enlève
	    if(myMarker != null) {
	      myMarker.setMap(null);
	    }
 
	    // On créé donc un nouveau marker sur l'adresse géocodée
	    myMarker = new google.maps.Marker({
	      position: results[0].geometry.location,
	      map: myMap,
	      title: "Mon adresse"
	    });
 
	    // Et on centre la vue sur ce marker
	    myMap.setCenter(results[0].geometry.location);
 
	  } // Fin si status OK
 
	} // Fin de la fonction
 
	// Nous pouvons maintenant lancer la recherche de l'adresse
	var myGeocoder = new google.maps.Geocoder();
	myGeocoder.geocode( GeocoderOptions, GeocodingResult );
}

// afficher repère à partir coordonnées lat lng

function afficherPoint(lat, lng){

	var myLatlng = new google.maps.LatLng(lat, lng);
	var mapOptions = {
	  zoom: 15,
	  center: myLatlng
	}
	var map = new google.maps.Map(document.getElementById("map"), mapOptions);

	// To add the marker to the map, use the 'map' property
	var marker = new google.maps.Marker({
		position: myLatlng,
		map: map,
		title:"Mon adresse"
	});
}